## aptly 1.6.2

=== Makefile ===
GOPATH=$(shell go env GOPATH)
VERSION=$(shell make -s version)
PYTHON?=python3
BINPATH?=$(GOPATH)/bin
GOLANGCI_LINT_VERSION=v2.0.2  # version supporting go 1.24
COVERAGE_DIR?=$(shell mktemp -d)
GOOS=$(shell go env GOHOSTOS)
GOARCH=$(shell go env GOHOSTARCH)

# Unit Tests and some sysmte tests rely on expired certificates, turn back the time
export TEST_FAKETIME := 2025-01-02 03:04:05

# export CAPUTRE=1 for regenrating test gold files
ifeq ($(CAPTURE),1)
CAPTURE_ARG := --capture
endif

help:  ## Print this help
	@grep -E '^[a-zA-Z][a-zA-Z0-9_-]*:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

prepare:  ## Install go module dependencies
	# Prepare go modules
	go mod verify
	go mod tidy -v
	# Generate VERSION file
	go generate

releasetype:  # Print release type: ci (on any branch/commit), release (on a tag)
	@reltype=ci ; \
	gitbranch=`git rev-parse --abbrev-ref HEAD` ; \
	if [ "$$gitbranch" = "HEAD" ] && [ "$$FORCE_CI" != "true" ]; then \
		gittag=`git describe --tags --exact-match 2>/dev/null` ;\
		if echo "$$gittag" | grep -q '^v[0-9]'; then \
			reltype=release ; \
		fi ; \
	fi ; \
	echo $$reltype

version:  ## Print aptly version
	@ci="" ; \
	if [ "`make -s releasetype`" = "ci" ]; then \
		ci=`TZ=UTC git show -s --format='+%cd.%h' --date=format-local:'%Y%m%d%H%M%S'`; \
	fi ; \
	if which dpkg-parsechangelog > /dev/null 2>&1; then \
		echo `dpkg-parsechangelog -S Version`$$ci; \
	else \
		echo `grep ^aptly -m1  debian/changelog | sed 's/.*(\([^)]\+\)).*/\1/'`$$ci ; \
	fi

swagger-install:
	# Install swag
	@test -f $(BINPATH)/swag || GOOS= GOARCH= go install github.com/swaggo/swag/cmd/swag@latest
	# Generate swagger.conf
	cp docs/swagger.conf.tpl docs/swagger.conf
	echo "// @version $(VERSION)" >> docs/swagger.conf

azurite-start:
	azurite -l /tmp/aptly-azurite > ~/.azurite.log 2>&1 & \
	echo $$! > ~/.azurite.pid

azurite-stop:
	@kill `cat ~/.azurite.pid`

swagger: swagger-install
	# Generate swagger docs
	@PATH=$(BINPATH)/:$(PATH) swag init --parseDependency --parseInternal --markdownFiles docs --generalInfo docs/swagger.conf

etcd-install:
	# Install etcd
	test -d /tmp/aptly-etcd || system/t13_etcd/install-etcd.sh

flake8:  ## run flake8 on system test python files
	flake8 system/

lint: prepare
	# Install golangci-lint
	@test -f $(BINPATH)/golangci-lint || go install github.com/golangci/golangci-lint/v2/cmd/golangci-lint@$(GOLANGCI_LINT_VERSION)
	# Running lint
	@NO_COLOR=true PATH=$(BINPATH)/:$(PATH) golangci-lint run --max-issues-per-linter=0 --max-same-issues=0


build: prepare swagger  ## Build aptly
	go build -o build/aptly

install:
	@echo "\e[33m\e[1mBuilding aptly ...\e[0m"
	# go generate
	@go generate
	# go install -v
	@out=`mktemp`; if ! go install -v > $$out 2>&1; then cat $$out; rm -f $$out; echo "\nBuild failed\n"; exit 1; else rm -f $$out; fi

test: prepare swagger etcd-install  ## Run unit tests (add TEST=regex to specify which tests to run)
	@echo "\e[33m\e[1mStarting etcd ...\e[0m"
	@mkdir -p /tmp/aptly-etcd-data; system/t13_etcd/start-etcd.sh > /tmp/aptly-etcd-data/etcd.log 2>&1 &
	@echo "\e[33m\e[1mRunning go test ...\e[0m"
	faketime "$(TEST_FAKETIME)" go test -v ./... -gocheck.v=true -check.f "$(TEST)" -coverprofile=unit.out; echo $$? > .unit-test.ret
	@echo "\e[33m\e[1mStopping etcd ...\e[0m"
	@pid=`cat /tmp/etcd.pid`; kill $$pid
	@rm -f /tmp/aptly-etcd-data/etcd.log
	@ret=`cat .unit-test.ret`; if [ "$$ret" = "0" ]; then echo "\n\e[32m\e[1mUnit Tests SUCCESSFUL\e[0m"; else echo "\n\e[31m\e[1mUnit Tests FAILED\e[0m"; fi; rm -f .unit-test.ret; exit $$ret

system-test: prepare swagger etcd-install  ## Run system tests
	# build coverage binary
	go test -v -coverpkg="./..." -c -tags testruncli
	# Download fixture-db, fixture-pool, etcd.db
	if [ ! -e ~/aptly-fixture-db ]; then git clone https://github.com/aptly-dev/aptly-fixture-db.git ~/aptly-fixture-db/; fi
	if [ ! -e ~/aptly-fixture-pool ]; then git clone https://github.com/aptly-dev/aptly-fixture-pool.git ~/aptly-fixture-pool/; fi
	test -f ~/etcd.db || (curl -o ~/etcd.db.xz http://repo.aptly.info/system-tests/etcd.db.xz && xz -d ~/etcd.db.xz)
	# Run system tests
	PATH=$(BINPATH)/:$(PATH) FORCE_COLOR=1 $(PYTHON) system/run.py --long --coverage-dir $(COVERAGE_DIR) $(CAPTURE_ARG) $(TEST)

bench:
	@echo "\e[33m\e[1mRunning benchmark ...\e[0m"
	go test -v ./deb -run=nothing -bench=. -benchmem

serve: prepare swagger-install  ## Run development server (auto recompiling)
	test -f $(BINPATH)/air || go install github.com/air-verse/air@v1.52.3
	cp debian/aptly.conf ~/.aptly.conf
	sed -i /enable_swagger_endpoint/s/false/true/ ~/.aptly.conf
	PATH=$(BINPATH):$$PATH air -build.pre_cmd 'swag init -q --markdownFiles docs --generalInfo docs/swagger.conf' -build.exclude_dir docs,system,debian,pgp/keyrings,pgp/test-bins,completion.d,man,deb/testdata,console,_man,systemd,obj-x86_64-linux-gnu -- api serve -listen 0.0.0.0:3142

dpkg: prepare swagger  ## Build debian packages
	@test -n "$(DEBARCH)" || (echo "please define DEBARCH"; exit 1)
	# set debian version
	@if [ "`make -s releasetype`" = "ci" ]; then  \
		echo CI Build, setting version... ; \
		test ! -f debian/changelog.dpkg-bak || mv debian/changelog.dpkg-bak debian/changelog ; \
		cp debian/changelog debian/changelog.dpkg-bak ; \
		DEBEMAIL="CI <ci@aptly.info>" dch -v `make -s version` "CI build" ; \
	fi
	# clean
	rm -rf obj-i686-linux-gnu obj-arm-linux-gnueabihf obj-aarch64-linux-gnu obj-x86_64-linux-gnu
	# Run dpkg-buildpackage
	@buildtype="any" ; \
	if [ "$(DEBARCH)" = "amd64" ]; then  \
	  buildtype="any,all" ; \
	fi ; \
	echo "\e[33m\e[1mBuilding: $$buildtype\e[0m" ; \
	cmd="dpkg-buildpackage -us -uc --build=$$buildtype -d --host-arch=$(DEBARCH)" ; \
	echo "$$cmd" ; \
	$$cmd
	lintian ../*_$(DEBARCH).changes || true
	# cleanup
	@test ! -f debian/changelog.dpkg-bak || mv debian/changelog.dpkg-bak debian/changelog; \
	mkdir -p build && mv ../*.deb build/ ; \
	cd build && ls -l *.deb

binaries: prepare swagger  ## Build binary releases (FreeBSD, macOS, Linux generic)
	# build aptly
	GOOS=$(GOOS) GOARCH=$(GOARCH) go build -o build/tmp/aptly -ldflags='-extldflags=-static'
	# install
	@mkdir -p build/tmp/man build/tmp/completion/bash_completion.d build/tmp/completion/zsh/vendor-completions
	@cp man/aptly.1 build/tmp/man/
	@cp completion.d/aptly build/tmp/completion/bash_completion.d/
	@cp completion.d/_aptly build/tmp/completion/zsh/vendor-completions/
	@cp README.rst LICENSE AUTHORS build/tmp/
	@gzip -f build/tmp/man/aptly.1
	@path="aptly_$(VERSION)_$(GOOS)_$(GOARCH)"; \
	rm -rf "build/$$path"; \
	mv build/tmp build/"$$path"; \
	rm -rf build/tmp; \
	cd build; \
	zip -r "$$path".zip "$$path" > /dev/null \
		&& echo "Built build/$${path}.zip"; \
	rm -rf "$$path"

docker-image:  ## Build aptly-dev docker image
	@docker build -f system/Dockerfile . -t aptly-dev

docker-image-no-cache:  ## Build aptly-dev docker image (no cache)
	@docker build --no-cache -f system/Dockerfile . -t aptly-dev

docker-build:  ## Build aptly in docker container
	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper build

docker-shell:  ## Run aptly and other commands in docker container
	@docker run -it --rm -p 3142:3142 -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper || true

docker-deb:  ## Build debian packages in docker container
	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper dpkg DEBARCH=amd64

docker-unit-test:  ## Run unit tests in docker container (add TEST=regex to specify which tests to run)
	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper \
		azurite-start \
		AZURE_STORAGE_ENDPOINT=http://127.0.0.1:10000/devstoreaccount1 \
		AZURE_STORAGE_ACCOUNT=devstoreaccount1 \
		AZURE_STORAGE_ACCESS_KEY="Eby8vdM02xNOcqFlqUwJPLlmEtlCDXJ1OUzFT50uSRZ6IFsuFq2UVErCz4I6tq/K1SZFPTOtr/KBHBeksoGMGw==" \
		test TEST=$(TEST) \
		azurite-stop

docker-system-test:  ## Run system tests in docker container (add TEST=t04_mirror or TEST=UpdateMirror26Test to run only specific tests)
	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper \
		azurite-start \
		AZURE_STORAGE_ENDPOINT=http://127.0.0.1:10000/devstoreaccount1 \
		AZURE_STORAGE_ACCOUNT=devstoreaccount1 \
		AZURE_STORAGE_ACCESS_KEY="Eby8vdM02xNOcqFlqUwJPLlmEtlCDXJ1OUzFT50uSRZ6IFsuFq2UVErCz4I6tq/K1SZFPTOtr/KBHBeksoGMGw==" \
		AWS_ACCESS_KEY_ID=$(AWS_ACCESS_KEY_ID) \
		AWS_SECRET_ACCESS_KEY=$(AWS_SECRET_ACCESS_KEY) \
		system-test TEST=$(TEST) \
		azurite-stop

docker-serve:  ## Run development server (auto recompiling) on http://localhost:3142
	@docker run -it --rm -p 3142:3142 -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper serve || true

docker-lint:  ## Run golangci-lint in docker container
	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper lint

docker-binaries:  ## Build binary releases (FreeBSD, macOS, Linux generic) in docker container
	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper binaries

docker-man:  ## Create man page in docker container
	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper man

mem.png: mem.dat mem.gp
	gnuplot mem.gp
	open mem.png

man:  ## Create man pages
	make -C man

clean:  ## remove local build and module cache
	# Clean all generated and build files
	test ! -e .go || find .go/ -type d ! -perm -u=w -exec chmod u+w {} \;
	rm -rf .go/
	rm -rf build/ obj-*-linux-gnu* tmp/
	rm -f unit.out aptly.test VERSION docs/docs.go docs/swagger.json docs/swagger.yaml docs/swagger.conf
	find system/ -type d -name __pycache__ -exec rm -rf {} \; 2>/dev/null || true

.PHONY: help man prepare swagger version binaries build docker-release docker-system-test docker-unit-test docker-lint docker-build docker-image docker-man docker-shell docker-serve clean releasetype dpkg serve flake8

=== man/Makefile ===
RUBYBINPATH=$(shell ruby -r rubygems -e 'puts Gem.user_dir')/bin

all: $(RUBYBINPATH)/ronn generate

$(RUBYBINPATH)/ronn:
	gem install --user-install specific_install
	gem specific_install --user-install -l https://github.com/smira/ronn.git -b 49e19e2409e462a96fd0f2a50ceead07f392893d

generate:
	PATH=$(RUBYBINPATH):$(PATH) go run ../_man/gen.go

.PHONY: generate

=== system/requirements.txt ===
azure-storage-blob
boto
requests==2.28.2
requests-unixsocket
python-swiftclient
flake8
termcolor
etcd3
leveldb

=== debian/changelog ===
aptly (1.6.2-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/watch: v5
  * Bump up Standards-Version
  * Remove +ds suffix
  * Add Static-Built-Using
  * New upstream version 1.6.2

 -- Sebastien Delafond <seb@debian.org>  Wed, 24 Sep 2025 06:19:54 +0200

=== debian/control ===
Source: aptly
Section: utils
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-golang,
               golang-go,
               golang-github-aleksi-pointer-dev,
               golang-github-awalterschulze-gographviz-dev,
               golang-github-aws-aws-sdk-go-v2-dev (>= 1.24.1),
               golang-github-aws-smithy-go-dev,
               golang-github-azure-azure-pipeline-go-dev,
               golang-github-azure-azure-storage-blob-go-dev,
               golang-github-beorn7-perks-dev,
               golang-github-cavaliergopher-grab-dev,
               golang-github-cespare-xxhash-dev,
               golang-github-cheggaaa-pb.v3-dev,
               golang-github-cloudflare-circl-dev,
               golang-github-coreos-go-semver-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-disposaboy-jsonconfigreader-dev,
               golang-github-gin-contrib-sse-dev,
               golang-github-gin-gonic-gin-dev,
               golang-github-gogo-protobuf-dev,
               golang-snappy-go-dev,
               golang-github-google-uuid-dev,
               golang-github-go-playground-locales-dev,
               golang-github-go-playground-universal-translator-dev,
               golang-github-go-playground-validator-v10-dev,
               golang-gopkg-h2non-filetype.v1-dev,
               golang-github-hashicorp-errwrap-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-jlaffaye-ftp-dev,
               golang-github-kjk-lzma-dev,
               golang-github-klauspost-compress-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-leodido-go-urn-dev,
               golang-github-mattn-go-colorable-dev,
               golang-github-mattn-go-ieproxy-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-github-mkrautz-goar-dev,
               golang-github-munnerz-goautoneg-dev,
               golang-github-mxk-go-flowrate-dev,
               golang-github-ncw-swift-dev,
               golang-github-pelletier-go-toml,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-procfs-dev,
               golang-github-protonmail-go-crypto-dev,
               golang-github-rivo-uniseg-dev,
               golang-github-rs-zerolog-dev (>= 1.29.1),
               golang-github-saracen-walker-dev,
               golang-github-smira-commander-dev,
               golang-github-smira-flag-dev,
               golang-github-smira-go-ftp-protocol-dev,
               golang-github-smira-go-xz-dev,
               golang-github-syndtr-goleveldb-dev,
               golang-github-ugorji-go-codec,
               golang-github-wsxiaoys-terminal-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-term-dev,
               golang-golang-x-text-dev,
               golang-golang-x-time-dev,
               golang-google-genproto-dev,
               golang-google-grpc-dev,
               golang-google-protobuf-dev,
               golang-gopkg-yaml.v2-dev,
               golang-go.uber-multierr-dev,
               golang-go.uber-zap-dev,
               golang-etcd-server-dev (>= 3.5.15-7),
               golang-gopkg-yaml.v3-dev,
Standards-Version: 4.7.2
Homepage: https://www.aptly.info
Vcs-Git: https://salsa.debian.org/debian/aptly.git
Vcs-Browser: https://salsa.debian.org/debian/aptly
XS-Go-Import-Path: github.com/aptly-dev/aptly

Package: aptly
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, bzip2, xz-utils, gpgv, gpg
Static-Built-Using: ${misc:Static-Built-Using}
Conflicts: gnupg1, gpgv1
Suggests: graphviz
Built-Using: ${misc:Static-Built-Using}, 
Description: Swiss army knife for Debian repository management - main package
 It offers several features making it easy to manage Debian package
 repositories:
 .
  - make mirrors of remote Debian/Ubuntu repositories, limiting by
    components/architectures
  - take snapshots of mirrors at any point in time, fixing state of
    repository at some moment of time
  - publish snapshot as Debian repository, ready to be consumed by apt
  - controlled update of one or more packages in snapshot from upstream
    mirror, tracking dependencies
  - merge two or more snapshots into one
 .
 This is the main package, it contains the aptly command-line utility.

Package: aptly-api
Architecture: all
Depends: ${misc:Depends}, aptly
Description: Swiss army knife for Debian repository management - API
 It offers several features making it easy to manage Debian package
 repositories:
 .
  - make mirrors of remote Debian/Ubuntu repositories, limiting by
    components/architectures
  - take snapshots of mirrors at any point in time, fixing state of
    repository at some moment of time
  - publish snapshot as Debian repository, ready to be consumed by apt
  - controlled update of one or more packages in snapshot from upstream
    mirror, tracking dependencies
  - merge two or more snapshots into one
 .
 This package contains the aptly-api service.

=== debian/watch ===
Version: 5
Template: Github
Owner: aptly-dev
Project: aptly
Dversion-Mangle: s/\+ds\d*$//
Repacksuffix: +ds1

## aptly 2009-12-28.1-1

=== debian/changelog ===
aptly (2009-12-28.1-1) stable; urgency=low

  Allow users to specify a custom cache directory using -C/--cache. If no directory is specified, ~/.config/aptly is used.

 -- Edwin Marshall <aspidites@inbox.com>  Mon, 28 Dec 2009 11:41:49 +0000

=== debian/control ===
Source: aptly
Section: user/utilities
Priority: extra
Maintainer: Edwin Marshall <aspidites@inbox.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: aptly
Architecture: all
Depends: python2.5 (>= 2.5.1-1osso5)
Description: A command line tool that bundles the most commonfunctions of apt-get, apt-cache, and dpkg, additionally making some of the more obscure ones more easily accessible.
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/aptly" install
	mkdir -p "$(CURDIR)/debian/aptly"

#	mkdir -p "$(CURDIR)/debian/aptly/usr/share/doc/"
	cp -a "src/usr/share/doc/CHANGES" "$(CURDIR)/debian/aptly/usr/share/doc/CHANGES"
	mkdir -p "$(CURDIR)/debian/aptly/usr/share/doc/"
	cp -a "src/usr/share/doc/COPYING" "$(CURDIR)/debian/aptly/usr/share/doc/COPYING"
	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/"
	cp -a "src/usr/lib/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/aptly.py"
	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/"
	cp -a "src/usr/lib/curses_ui.py" "$(CURDIR)/debian/aptly/usr/lib/curses_ui.py"
	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/"
	cp -a "src/usr/lib/curses_ui.pyo" "$(CURDIR)/debian/aptly/usr/lib/curses_ui.pyo"
	mkdir -p "$(CURDIR)/debian/aptly/usr/bin/"
	cp -a "src/usr/bin/aptly" "$(CURDIR)/debian/aptly/usr/bin/aptly"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## aptly 2009-12-30.1-1

=== debian/changelog ===
aptly (2009-12-30.1-1) stable; urgency=low

  * removed -g/--gui option. All GUIs should be implemented as seperate applications now
  * help is automatically shown if no arguments are given

 -- Edwin Marshall <aspidites@inbox.com>  Wed, 30 Dec 2009 13:03:28 +0000

## aptly 2009-12-30.1-2

=== debian/changelog ===
aptly (2009-12-30.1-2) stable; urgency=low

  * fixed /usr/bin/aptly

 -- Edwin Marshall <aspidites@inbox.com>  Wed, 30 Dec 2009 14:58:19 +0000

## aptly 2010-1-1.1-1

=== debian/changelog ===
aptly (2010-1-1.1-1) stable; urgency=low

  Please see /usr/lib/python2.5/site-packages/aptly/CHANGES

 -- Edwin Marshall <aspidites@inbox.com>  Fri, 01 Jan 2010 15:56:27 +0000

=== debian/rules ===
--- 
+++ 
@@ -46,18 +46,16 @@
 	#$(MAKE) DESTDIR="$(CURDIR)/debian/aptly" install
 	mkdir -p "$(CURDIR)/debian/aptly"
 
-#	mkdir -p "$(CURDIR)/debian/aptly/usr/share/doc/"
-	cp -a "src/usr/share/doc/CHANGES" "$(CURDIR)/debian/aptly/usr/share/doc/CHANGES"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/share/doc/"
-	cp -a "src/usr/share/doc/COPYING" "$(CURDIR)/debian/aptly/usr/share/doc/COPYING"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/"
-	cp -a "src/usr/lib/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/aptly.py"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/"
-	cp -a "src/usr/lib/curses_ui.py" "$(CURDIR)/debian/aptly/usr/lib/curses_ui.py"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/"
-	cp -a "src/usr/lib/curses_ui.pyo" "$(CURDIR)/debian/aptly/usr/lib/curses_ui.pyo"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/bin/"
+#	mkdir -p "$(CURDIR)/debian/aptly/usr/bin/"
 	cp -a "src/usr/bin/aptly" "$(CURDIR)/debian/aptly/usr/bin/aptly"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/CHANGES" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/CHANGES"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/COPYING" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/COPYING"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly-curses.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/aptly-curses.py"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/aptly.py"
 
 	# ======================================================

## aptly 2010-1-1.2-1

=== debian/changelog ===
aptly (2010-1-1.2-1) stable; urgency=low

  Please see /usr/lib/python2.5/site-packages/aptly/CHANGES

 -- Edwin Marshall <aspidites@inbox.com>  Fri, 01 Jan 2010 19:26:31 +0000

=== debian/rules ===
--- 
+++ 
@@ -46,16 +46,14 @@
 	#$(MAKE) DESTDIR="$(CURDIR)/debian/aptly" install
 	mkdir -p "$(CURDIR)/debian/aptly"
 
-#	mkdir -p "$(CURDIR)/debian/aptly/usr/bin/"
-	cp -a "src/usr/bin/aptly" "$(CURDIR)/debian/aptly/usr/bin/aptly"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/CHANGES" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/CHANGES"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/COPYING" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/COPYING"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly-curses.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/aptly-curses.py"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/aptly.py"
+#	mkdir -p "$(CURDIR)/debian/aptly/usr/bin/src/usr/bin"
+	cp -a "src/usr/bin/aptly" "$(CURDIR)/debian/aptly/usr/bin/src/usr/bin/aptly"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/CHANGES" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly/CHANGES"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/COPYING" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly/COPYING"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly/aptly.py"
 
 	# ======================================================

## aptly 2010-1-1.2-2

=== debian/changelog ===
aptly (2010-1-1.2-2) stable; urgency=low

  Please see /usr/lib/python2.5/site-packages/aptly/CHANGES

 -- Edwin Marshall <aspidites@inbox.com>  Fri, 01 Jan 2010 20:20:57 +0000

## aptly 2010-6-8-1

=== debian/changelog ===
aptly (2010-6-8-1) stable; urgency=low

  It is no longer neccessary to use ';' to chaincommands.

 -- Edwin Marshall <aspidites@inbox.com>  Sat, 08 May 2010 03:17:07 +0000

=== debian/rules ===
--- 
+++ 
@@ -46,14 +46,12 @@
 	#$(MAKE) DESTDIR="$(CURDIR)/debian/aptly" install
 	mkdir -p "$(CURDIR)/debian/aptly"
 
-#	mkdir -p "$(CURDIR)/debian/aptly/usr/bin/src/usr/bin"
-	cp -a "src/usr/bin/aptly" "$(CURDIR)/debian/aptly/usr/bin/src/usr/bin/aptly"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/CHANGES" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly/CHANGES"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/COPYING" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly/COPYING"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/src/usr/lib/python2.5/site-packages/aptly/aptly.py"
+#	mkdir -p "$(CURDIR)/debian/aptly/usr/bin/"
+	cp -a "src/usr/bin/aptly" "$(CURDIR)/debian/aptly/usr/bin/aptly"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/COPYING" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/COPYING"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/aptly.py"
 
 	# ======================================================

## aptly 2010.5.10-1-2

=== debian/changelog ===
aptly (2010.5.10-1-2) stable; urgency=low

  Install command now supports autocompletion for deb files. It is now possible to use analternate directory for the cache.

 -- Edwin Marshall <aspidites@inbox.com>  Mon, 10 May 2010 13:48:20 +0000

=== debian/control ===
Source: aptly
Section: user/utilities
Priority: extra
Maintainer: Edwin Marshall <aspidites@inbox.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: aptly
Architecture: all
Depends: python2.5
Description: An interactive console-based apt and dpkg wrapper.
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,8 @@
 #	mkdir -p "$(CURDIR)/debian/aptly/usr/bin/"
 	cp -a "src/usr/bin/aptly" "$(CURDIR)/debian/aptly/usr/bin/aptly"
 	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/CHANGES" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/CHANGES"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
 	cp -a "src/usr/lib/python2.5/site-packages/aptly/COPYING" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/COPYING"
 	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
 	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/aptly.py"

## aptly 2010.5.11-4

=== debian/changelog ===
aptly (2010.5.11-4) stable; urgency=low

  Removed icon info since it seems to be preventing upload into extras-devel.

 -- Edwin Marshall <aspidites@inbox.com>  Fri, 14 May 2010 15:00:09 +0000

=== debian/control ===
--- 
+++ 
@@ -9,4 +9,4 @@
 Architecture: all
 Depends: python2.5
 Description: An interactive console-based apt and dpkg wrapper.
-XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
+XSBC-Bugtracker: XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1196

## aptly 2010.5.11-5

=== debian/changelog ===
aptly (2010.5.11-5) stable; urgency=low

  Added app manager icon again.

 -- Edwin Marshall <aspidites@inbox.com>  Fri, 14 May 2010 15:37:40 +0000

=== debian/control ===
--- 
+++ 
@@ -10,3 +10,70 @@
 Depends: python2.5
 Description: An interactive console-based apt and dpkg wrapper.
 XSBC-Bugtracker: XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1196
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAC/JJREFUeNrUWkuoJkcVPqeq
+ uvt/3XmhIRJGZ5TxASoZFVQQVFBHxIgLoysXIYKIG0HBB5Is3BkMCG40C1cG
+ F4ogWUhiEkEZIkTEkIAZJTE4E5J4zczc+z/6VVV+51T1nT9jJt4/TnTSTN3q
+ 7r8f3zn1na/OqR5+28mT5LuOtp8+R33fnxpVo49Za45ba4uqLENROG9d0TVt
+ 0wcf+hhDiJE8s+mZyXvfeyLuI2G/6/oQfTDG9caa3vd9F0LorcUzrPW4FTeH
+ 3lnX4bhnQx0zd9bYDvd3RHrcWMMtnt8Zy20MsY0xtnhRS2way7zCdbUrq94V
+ FTk8lNqmcYcPHfrRiTcdv8VZQ77vCEaQc5YYV3tcEwW1D9qCbjAlwqSAlvZ8
+ pCiXipEe16MBVIwAJyCoJYoNjK1xro5MK4q0JAEUaQFnLGDEAu+bk/TM2uOe
+ Bd6F5pb4fWmMKfCsAm+cG+47x31Ps6r88rveceMtz21vhzN/fSIsVysBqeCx
+ RbxE9iM63CsbBznGQUgdiYVBbJXfiKP0nuW8nqOQr5Hb5Y/0IT1Trtfneb2W
+ 9Rk9jnsZERx3LMcYKQPEGM1+MpmEAsMYwAkHBxYn3viGL+zs7NCvH/xtwFCx
+ sRgogcn5NYYSbjkHdPhjKIGzegVzHI4Ns4DATWzyLWq4GgZQrPfiDs5uYb0/
+ qLGsQAW8Uis1NQD0EQNAK2N7DLOfTaegKrNbLpbHZtPJ8d8//EcZfy7LUrHr
+ q8UnI7T2BZBC/tkS7Rkm4EwaLUq282Cygo8yQqCNF2/iVCf0wg8tLhOO10It
+ +KHGsXB8lY7RZ85bYxq9HrHXtV2/MqsArNFVZXHDYr6YXri4g+CyCTzCKYo/
+ xiDb93rq7zIU/mATmCo5dQ08ZYODUiWmHmAyWMQEYgB9gzsaTwEgEQfMS9i0
+ ZOE5c+K+8D5G9BILPIcXECO0kuthfmMkoEOA8c6raODBjoI/WLctNU0bdWDF
+ 69dFLm/vqfg0rLieqPw8IvMBT+03cfljuKYElKgGDM2vtT41Fv5m71KdvIqg
+ lcZxAaALGLuLm3exv4tXa09iSJRAxjUaxDCAqYERDRvuoHFKIRFD7MGUEKZN
+ 28EOn8YbXfX9nsrPQp1+gdteo4+k4pORzNs7Xt5YBJqDz5YG3l8GXOVQPK7g
+ swED+AxKFCbOxQCiSy0mQ1R9sI/rWcDXWcEAkhDE4AacBz5FqDYZ54pxByUS
+ XZSA5THI/T7s4rX1zfD4n2D+F11o7jQxPGQiH97z/hXBi5Zn8JnPA3BtChSg
+ drC/g2u1xznpYZSMTBw8XwNWA2ydPh/SDKbgsIkIYFUHh8iuus4rJgxRFKWO
+ f4ERr8dI/NCTOYbz14O8X3Veye9woVPw8VKQXooF2QAA+qAh73IrBzlV2Uwx
+ A6ljaHocGWemeOIuFFAMWOL8SpwgSMUpwOhlw0SbZHjtja73vuowmeKkGKR6
+ 0XzNMf+kp+rWoBfZB3vjf8Pcfgez6cOlsSJV1hEkDUZbDGNJxhZki5Ksq9CP
+ tLlyTLacUFFNyY3QqgmVoy3sz6hAczhfVDM97+yE2p2nHn3s/ru+8fTjpx8C
+ +DaDB+5e5D1e5qyE7ciRIx8CjT6yvb3dq9cMbDjHsbvLRH+aI78V98wxVB+I
+ XHwumHDvyNCzcKiDY00BAwo8BccW3DMjCuijGaOfkrcz9FvoD4C8W9SbQ9Sa
+ g+DYQUTlQUT2QVrFA7RE8+YAucPHrnvLyVOfubj99/t3njnztyuBLwrJElQO
+ ycDSUiRaL5C/oxjtBwOZdwfqfoWfH4WOnXJdc5sLvIUbPgohpCIxQ/hk8CAB
+ DJYEhgE0htgDPE3QZtDQGQR/Rm3Yogat9lu06ma0ardo2cxoUU9pvprS9s6Y
+ zj4/ojPbRRmO3Xy7gO+67oqe36MQZt1CMhvld49Z9Eh04wc6E59FxL23CHqr
+ YKvy1NSA2qANeINWEsP7UUbCVhTR2I20jwWMwj658aVm82/a4148g9nKoKep
+ sYPyyTMPHn2PeD7jeskNZGeMgOYx4lgbn+LQ3mG5+ro30zOdEwl1Hw8j8zpE
+ 4eNI9O6ZKN8ZU7RMCBQr3TfwPpsJDBnDLhwXM+JiSqba0n1T5mNp5RSG4loY
+ acRoNLKZjurw8dhL1riPDQmnFQN6zWdYFSa230K+8Qj8cyqw+wR4/wj7/gcj
+ 0//0gKF/jDE3wGMHukFLUjMpuWBfkPETHQlTTBSggjQS6CnYxesp3HJSItN+
+ 8JrmqXh5Q/vdHENQYxqq1PK9/d0IoLuNr+7sR92ddl5cOLQFxUX0ANCn/kn2
+ S+czMyW9y+mTpJQ/P07unpvAsFEGLB52ClxVCwA5ZXS4L+rMqcKqucuQcNX7
+ NwDgNeXP+hyGzIbLNEm1t7kdTE+dmdlZBAiZCOiXN1C496hy2qBpD46z9FAX
+ 2TdQIWlCKwM1Mgh0JFeJakioOAr9MBrBJa+vJ7A97d8ACRRJYfMkY/MsEfNj
+ PJyhOY11JXiGlzKMaAHCj5UmGpygSgwT5XjEvpdABWVCDnLDKVhZwzVVBFoy
+ yMwv7+NLCXAyYLWZAVLurSVlQ5qQDDCaGrRwYxDwovXidXZJcVg8Lx7PvQax
+ eF69Lx6f4DHVpaAPMCpP0Bztv4PfdASgt2EviNOTzJoBCl7yGutG8NlIg5Fd
+ aqaQEUBMiDGoT01RJsMKUMPJDA2QDl5GecpWZx3c7ymVNOL5/kXBrzaKASRI
+ LFVUKu9MjgWpaQfwko/UBhWcAYWicNgmT8sElrw9Vp6Lx5XznPjOA9+liBC+
+ I3vH1Hxlz+8ZsYEBWnCg8B5mu1xKedqrlEgMWIE2QUB5LpNum6TfQdMJnFOe
+ D80mdUoFKECnxDWNcXhxz6/TZxMKDVRZOzcEcLNeiCA5w4RQqWfF8zoK4m00
+ kgkse5+50jp0T2lCscZ389Ke1221+Qhkrg+1bcwj0uQiRPN5JE+og8YJTPa6
+ kZkzpwNJZTjPCzGpi0xOWrrn+p/pP4B/GUEsGUjmOWfuhzX6LHObQ2GCAY8l
+ WUuehzHK80niuxbL4vUqqw0eHcVYeD2Y/YPHoNebyGj2dp0LETvwfw28VlHI
+ 8wP7MnneSQotCuOywqR0QhliheM+z0sxidq+wW/m/fURqHM1Zdb4vxxWyKQE
+ RAbm+z3Pj7LXR1lhEt85SjLmNFvVQA4bghdPCv+7TWQUYHPtmtdzWFRJRkRq
+ UwEvRfaOLSbBIDntdDnI5rUtzqs+Ma29idIwp7U38huDf3kqFHXNRupQiV6T
+ F1hXGbiClx4ln6xX5Fl1rD2p11NOk/TdZaUxa8tFm271ZiqUVxCWa+faPCKD
+ AbrkIXVPymVsWtfyWWkk5kOfZ9a4D5m8upsYIMsfiyyjcQjgmBeZZMFJljx8
+ MQ5KnxCTLJoEPE1+w7ou/xeevywONlChOgdrHCRU+J/XaHazIbvWuJCyyIEy
+ qSbWCYrMVfN8vek8AJcPfA95KV3W7xdr9JFRWCCPD5J1N5IWxBygHNc8/7+j
+ zeUFzTKDlHpA1vTruLaKltVoMamqIKt7mlInwb+qnn9BIrdRPZAotMt7RNZR
+ HEZgmZf5luOqakZFTbKOmlTmFfK8ymg9338QJ4/vDmudEtSD17MBK9QMq6Z5
+ 7r7rX3v4nRd35mvAXwHa9Oepri/ct4EKyazLA4XkC0q9tiAr4EWlmj+f/vF3
+ t47edFPdmDenrx6vBHh59YXnaX7625sZEGXxcKjCeG89P0uszBPt/OLZ5fOL
+ n72fxifuIBp/GEYcv7ro62fQfkf1k1+h+ZPnNigpbRvIL1CLeRuNfHEc6oAB
+ vC6w6lfHxdnztDh7K11DmzPyQYmNfL6UVLo3wbSBQyPlpKz

## aptly 2010.5.14.1-1

=== debian/changelog ===
aptly (2010.5.14.1-1) stable; urgency=low

  Help command works properly again.

 -- Edwin Marshall <aspidites@inbox.com>  Fri, 14 May 2010 17:55:29 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: all
 Depends: python2.5
 Description: An interactive console-based apt and dpkg wrapper.
-XSBC-Bugtracker: XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1196
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1196
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
  d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAC/JJREFUeNrUWkuoJkcVPqeq
@@ -76,4 +76,9 @@
  7r7rX3v4nRd35mvAXwHa9Oepri/ct4EKyazLA4XkC0q9tiAr4EWlmj+f/vF3
  t47edFPdmDenrx6vBHh59YXnaX7625sZEGXxcKjCeG89P0uszBPt/OLZ5fOL
  n72fxifuIBp/GEYcv7ro62fQfkf1k1+h+ZPnNigpbRvIL1CLeRuNfHEc6oAB
- vC6w6lfHxdnztDh7K11DmzPyQYmNfL6UVLo3wbSBQyPlpKz
+ vC6w6lfHxdnztDh7K11DmzPyQYmNfL6UVLo3wbSBQyPlpKzLy4c1KfxlnfKl
+ 1ij/bwZIfYeMeClfLaH/vefQ6SoE7Xn+mgU/jIAHjVbOWUwJ3su3WPm8mQrX
+ 6Luujdcq+LQ26govgVwULnoYYMUK7MhyS9tKXnftglcDikJLqLYsCuq9fP/D
+ Pys7Jup3s2t8k2xU1oO6qqoYBsj/5QjyLQpDcM2D1y80ktsjBxXuh8K5UBRF
+ zKt0r4rN6X9sEDMgP9aVZMPwfzFeHdu/BBgATwIODZj1b7UAAAAASUVORK5C
+ YII=

## aptly 2010.6.12.0-1

=== debian/changelog ===
aptly (2010.6.12.0-1) stable; urgency=low

  Help command works properly again.

 -- Edwin Marshall <aspidites@inbox.com>  Sat, 12 Jun 2010 14:08:35 +0000

=== debian/rules ===
--- 
+++ 
@@ -46,14 +46,16 @@
 	#$(MAKE) DESTDIR="$(CURDIR)/debian/aptly" install
 	mkdir -p "$(CURDIR)/debian/aptly"
 
-#	mkdir -p "$(CURDIR)/debian/aptly/usr/bin/"
+#	mkdir -p "$(CURDIR)/debian/aptly/etc/aptly/"
+	cp -a "src/etc/aptly/system.cfg" "$(CURDIR)/debian/aptly/etc/aptly/system.cfg"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/bin/"
 	cp -a "src/usr/bin/aptly" "$(CURDIR)/debian/aptly/usr/bin/aptly"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/CHANGES" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/CHANGES"
 	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
 	cp -a "src/usr/lib/python2.5/site-packages/aptly/COPYING" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/COPYING"
 	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
 	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/aptly.py"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/config.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/config.py"
 
 	# ======================================================

## aptly 2010.8.16.0-1

=== debian/changelog ===
aptly (2010.8.16.0-1) stable; urgency=low

  - Fixed bug that caused aptly to crash when 
  attempting to install an application.

 -- Edwin Marshall <aspidites@inbox.com>  Mon, 16 Aug 2010 23:55:13 +0000

=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,12 @@
 	cp -a "src/usr/lib/python2.5/site-packages/aptly/aptly.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/aptly.py"
 	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
 	cp -a "src/usr/lib/python2.5/site-packages/aptly/config.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/config.py"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/config.pyo" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/config.pyo"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/utils.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/utils.py"
+	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
+	cp -a "src/usr/lib/python2.5/site-packages/aptly/utils.pyo" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/utils.pyo"
 
 	# ======================================================

## aptly 2010.8.20.0-1

=== debian/changelog ===
aptly (2010.8.20.0-1) stable; urgency=low

  - experimental sudo support
  		 * user no longer needs to type 'sudo gainroot' before running aptly
  	- if the user doesn't type sudo before aptly they are prompted for a root password

 -- Edwin Marshall <aspidites@inbox.com>  Sat, 21 Aug 2010 17:39:04 +0000

=== debian/rules ===
--- 
+++ 
@@ -57,11 +57,9 @@
 	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
 	cp -a "src/usr/lib/python2.5/site-packages/aptly/config.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/config.py"
 	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/config.pyo" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/config.pyo"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
 	cp -a "src/usr/lib/python2.5/site-packages/aptly/utils.py" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/utils.py"
-	mkdir -p "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/"
-	cp -a "src/usr/lib/python2.5/site-packages/aptly/utils.pyo" "$(CURDIR)/debian/aptly/usr/lib/python2.5/site-packages/aptly/utils.pyo"
+	mkdir -p "$(CURDIR)/debian/aptly/etc/sudoers.d/"
+	cp -a "src/etc/sudoers.d/aptly.sudoers" "$(CURDIR)/debian/aptly/etc/sudoers.d/aptly.sudoers"
 
 	# ======================================================
